Bug 51608 - installer does not display all drives, even though kudzu recognizese them
installer does not display all drives, even though kudzu recognizese them
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-12 16:43 EDT by Luis Villa
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-27 12:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luis Villa 2001-08-12 16:43:55 EDT
Description of Problem:
When I get to the partitioning options screen in the installer, only drive
hdc is shown as an option to partition. This despite the fact that drives
hdb and sda are recognized by kudzu.

How Reproducible:
Completely, on my system.

Steps to Reproduce:
1. Install normally, selecting 'custom install.' 
2. Get warnings about 'unable to align partition properly.'[1] Click to
ignore them.
3. Select 'automatic partitioning'
4. See that only one hard drive is available.

[1] This is because hdc was formatted incorrectly at one point, such that
hda is mounted and not hda1.

Actual Results:
Only one hard drive is available.

Expected Results:
All three hard drives are selectable for formatting/installation.

Additional Information:
As per the recommendation of jeremy katz, I queried kudzu, which reports
(correctly) that three HDs are installed on the system. The drives are also
mountable without messing with modules, etc., so I'm assuming the kernel is
set up correctly. 

P.S. If you don't have friends at RH it'd be hard to know that installer
bugs should be filed under anaconda. I'd recommend creating another product
in the bugzilla named 'installer' with the same owner, QA contact, etc. as
anaconda or better yet renaming the anaconda product 'installer [anaconda]'
Comment 1 Luis Villa 2001-08-13 11:35:13 EDT
Hrm. I'm going to suggest closing the bug; it appears that the problem was that
I clicked 'cancel' instead of 'ignore'. Perhaps that error dialogue should be
re-written to make it more clear what the impact of the two choices will be.
Comment 2 Glen Foster 2001-08-13 15:07:33 EDT
We (Red Hat) should really try to fix this before next release.
Comment 3 Brent Fox 2001-08-15 11:55:00 EDT
There is a component called 'installer'.  It has the same owner and QA contact
as anaconda.

We're in a screen freeze at the moment, we'll have to change this screen in the
future.  Deferring.

Note You need to log in before you can comment on or make changes to this bug.